Bug 1205178 - (CVE-2022-2601) VUL-0: CVE-2022-2601: grub2: buffer overflow in grub_font_construct_glyph
(CVE-2022-2601)
VUL-0: CVE-2022-2601: grub2: buffer overflow in grub_font_construct_glyph
Status: NEW
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Michael Chang
Security Team bot
https://smash.suse.de/issue/347347/
CVSSv3.1:SUSE:CVE-2022-2601:6.4:(AV:L...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2022-11-08 11:57 UTC by Marcus Meissner
Modified: 2022-12-01 11:22 UTC (History)
5 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 9 Johannes Segitz 2022-11-16 06:42:00 UTC
public: https://lists.gnu.org/archive/html/grub-devel/2022-11/msg00062.html
Comment 10 Marcus Meissner 2022-11-16 10:15:31 UTC
CVE-2022-2601 grub2: A buffer overflow in grub_font_construct_glyph() can lead to out-of-bound write and possible secure boot by-pass
6.4/CVSS:3.1/AV:L/AC:H/PR:H/UI:N/S:U/C:H/I:H/A:H

A buffer overflow was found in grub_font_construct_glyph(). A malicious crafted
pf2 font can lead to an overflow when calculating the max_glyph_size value,
allocating a smaller than needed buffer for the glyph, this further leads to
a buffer overflow and a heap based out-of-bounds write. An attacker may use this
vulnerability to circumvent the secure boot mechanism.

Reported-by: Zhang Boyang
Comment 11 Swamp Workflow Management 2022-11-21 14:21:54 UTC
SUSE-SU-2022:4140-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1205178,1205182
CVE References: CVE-2022-2601,CVE-2022-3775
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15 (src):    grub2-2.02-150000.122.17.1
SUSE Linux Enterprise Server 15-LTSS (src):    grub2-2.02-150000.122.17.1
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    grub2-2.02-150000.122.17.1
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    grub2-2.02-150000.122.17.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 12 Swamp Workflow Management 2022-11-21 14:22:34 UTC
SUSE-SU-2022:4144-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1205178,1205182
CVE References: CVE-2022-2601,CVE-2022-3775
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 12-SP2-BCL (src):    grub2-2.02-115.72.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 13 Swamp Workflow Management 2022-11-21 14:25:42 UTC
SUSE-SU-2022:4142-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1205178,1205182
CVE References: CVE-2022-2601,CVE-2022-3775
JIRA References: 
Sources used:
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    grub2-2.02-150100.123.17.1
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    grub2-2.02-150100.123.17.1
SUSE Linux Enterprise Server 15-SP1-BCL (src):    grub2-2.02-150100.123.17.1
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    grub2-2.02-150100.123.17.1
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    grub2-2.02-150100.123.17.1
SUSE Enterprise Storage 6 (src):    grub2-2.02-150100.123.17.1
SUSE CaaS Platform 4.0 (src):    grub2-2.02-150100.123.17.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 14 Swamp Workflow Management 2022-11-21 14:26:59 UTC
SUSE-SU-2022:4143-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1205178,1205182
CVE References: CVE-2022-2601,CVE-2022-3775
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 12-SP3-BCL (src):    grub2-2.02-142.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 15 Swamp Workflow Management 2022-11-21 14:31:28 UTC
SUSE-SU-2022:4141-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1205178,1205182
CVE References: CVE-2022-2601,CVE-2022-3775
JIRA References: 
Sources used:
openSUSE Leap Micro 5.3 (src):    grub2-2.06-150400.11.17.1
openSUSE Leap 15.4 (src):    grub2-2.06-150400.11.17.1
SUSE Linux Enterprise Module for Server Applications 15-SP4 (src):    grub2-2.06-150400.11.17.1
SUSE Linux Enterprise Module for SUSE Manager Proxy 4.3 (src):    grub2-2.06-150400.11.17.1
SUSE Linux Enterprise Module for Basesystem 15-SP4 (src):    grub2-2.06-150400.11.17.1
SUSE Linux Enterprise Micro 5.3 (src):    grub2-2.06-150400.11.17.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 16 Swamp Workflow Management 2022-11-25 14:20:39 UTC
SUSE-SU-2022:4218-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1205178,1205182
CVE References: CVE-2022-2601,CVE-2022-3775
JIRA References: 
Sources used:
SUSE Manager Server 4.1 (src):    grub2-2.04-150200.9.68.1
SUSE Manager Retail Branch Server 4.1 (src):    grub2-2.04-150200.9.68.1
SUSE Manager Proxy 4.1 (src):    grub2-2.04-150200.9.68.1
SUSE Linux Enterprise Server for SAP 15-SP2 (src):    grub2-2.04-150200.9.68.1
SUSE Linux Enterprise Server 15-SP2-LTSS (src):    grub2-2.04-150200.9.68.1
SUSE Linux Enterprise Server 15-SP2-BCL (src):    grub2-2.04-150200.9.68.1
SUSE Linux Enterprise High Performance Computing 15-SP2-LTSS (src):    grub2-2.04-150200.9.68.1
SUSE Linux Enterprise High Performance Computing 15-SP2-ESPOS (src):    grub2-2.04-150200.9.68.1
SUSE Enterprise Storage 7 (src):    grub2-2.04-150200.9.68.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 17 Swamp Workflow Management 2022-11-25 14:23:12 UTC
SUSE-SU-2022:4219-1: An update that fixes two vulnerabilities is now available.

Category: security (important)
Bug References: 1205178,1205182
CVE References: CVE-2022-2601,CVE-2022-3775
JIRA References: 
Sources used:
openSUSE Leap Micro 5.2 (src):    grub2-2.04-150300.22.25.1
openSUSE Leap 15.3 (src):    grub2-2.04-150300.22.25.1
SUSE Linux Enterprise Module for Server Applications 15-SP3 (src):    grub2-2.04-150300.22.25.1
SUSE Linux Enterprise Module for SUSE Manager Proxy 4.2 (src):    grub2-2.04-150300.22.25.1
SUSE Linux Enterprise Module for Basesystem 15-SP3 (src):    grub2-2.04-150300.22.25.1
SUSE Linux Enterprise Micro 5.2 (src):    grub2-2.04-150300.22.25.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 19 Swamp Workflow Management 2022-12-01 11:22:06 UTC
SUSE-SU-2022:4302-1: An update that solves two vulnerabilities and has two fixes is now available.

Category: security (important)
Bug References: 1205178,1205182,1205520,1205554
CVE References: CVE-2022-2601,CVE-2022-3775
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 9 (src):    grub2-2.02-153.1
SUSE OpenStack Cloud 9 (src):    grub2-2.02-153.1
SUSE Linux Enterprise Server for SAP 12-SP4 (src):    grub2-2.02-153.1
SUSE Linux Enterprise Server 12-SP5 (src):    grub2-2.02-153.1
SUSE Linux Enterprise Server 12-SP4-LTSS (src):    grub2-2.02-153.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.